Bug 1046373 - Interactive build
Summary: Interactive build
Keywords:
Status: CLOSED DUPLICATE of bug 1064349
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pygpgme
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-24 23:19 UTC by Zenon Panoussis
Modified: 2014-02-13 17:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-02 18:52:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zenon Panoussis 2013-12-24 23:19:19 UTC
Rebuilding from src.rpm presents interactive dialogues asking for passphrases. This breaks non-interactive building.

Comment 2 Miloslav Trmač 2014-01-02 15:47:48 UTC
Thanks for your report.

This is caused by bug 842074.

When building from a console I find it valuable to manually enter passphrases in the dialogs to verify that the code actually works.

The package does build fine in mock, though; is that not insufficient for your purpose?

Comment 3 Zenon Panoussis 2014-01-02 18:35:13 UTC
For me personally it's OK either way, but this will halt any mass-rebuild not in mock and it might also confuse people building the invidual package. Then again, if you think it makes more sense to keep it this way, I won't argue against.

Comment 4 Miloslav Trmač 2014-01-02 18:52:58 UTC
Thanks for the respponse, closing WONTFIX for now (it's not really a duplicate of bug 842047, but we are stuck trying to make the best of a problematic situation that will be resolved there.)

Comment 5 Miloslav Trmač 2014-02-13 17:57:52 UTC
FWIW with a recent pinentry even the mock builds don't work, so I have removed the %check section.

*** This bug has been marked as a duplicate of bug 1064349 ***


Note You need to log in before you can comment on or make changes to this bug.